import numpy as np
import matplotlib.pyplot as plt
from mpl_toolkits.axes_grid1 import make_axes_locatable

def plot_m(m):
    phis = np.arctan2(m[1],m[0])*180/np.pi
    phis[phis<0] += 360
    #phis = np.transpose(phis)
    
    ip_vec = np.sqrt(np.square(m[0]) + np.square(m[1]))
    oop_ang = np.arctan2(m[2],ip_vec)*180/np.pi
    oop_ang = np.fliplr(oop_ang)
    
    fig = plt.figure(figsize=(15, 7.5), dpi=100)
    titlefontsize = 10
    ax1 = fig.add_subplot(121)
    ax1.axis('off')
    ax1.set_title('IP angle', fontsize=titlefontsize)
    im1 = ax1.imshow(phis, cmap='hsv', vmin=0, vmax=360)

    divider = make_axes_locatable(ax1)
    cax = divider.append_axes('right', size='5%', pad=0.05)
    fig.colorbar(im1, cax=cax, orientation='vertical')

    ax2 = fig.add_subplot(122)
    ax2.axis('off')
    ax2.set_title(r'OOP angle', fontsize=titlefontsize)
    im2 = ax2.imshow(oop_ang, vmin=-90, vmax=90, cmap='gray')

    divider = make_axes_locatable(ax2)
    cax = divider.append_axes('right', size='5%', pad=0.05)
    fig.colorbar(im2, cax=cax, orientation='vertical')
    plt.tight_layout()